[torqueusers] Torque For Sparc on Solaris
Chris Vaughan
chris at adaptivecomputing.com
Tue Jan 19 00:16:02 MST 2010
I've already posted this to torquedev but possibly someone on torqueusers may know how to get this to compile as well.
http://www.supercluster.org/pipermail/torquedev/2010-January/001867.html
Thanks,
----- Forwarded Message -----
From: "Chris Vaughan" <chris at adaptivecomputing.com>
To: "torquedev" <torquedev at supercluster.org>
Sent: Monday, 18 January, 2010 10:21:47 PM
Subject: Torque For Sparc on Solaris
Hi,
I'm trying to build Torque 2.3.7 for a SPARC machine running Solaris 10 and I'm hitting some errors.
The configure flags I'm using point to the gnu tools that come with Solaris but it's failing.
./configure --disable-server --with-gnu-ld CC=/usr/sfw/bin/gcc CXX=/usr/sfw/bin/c++ CPP=/usr/sfw/bin/cpp --disable-gcc-warnings
I have been using gmake to build and here are the errors that I'm seeing. Any assistance you can provide would be appreciated.
Output from /usr/sfw/bin/gcc
/usr/sfw/bin/gcc -g -O2 -o .libs/pbs_mom catch_child.o mom_comm.o mom_inter.o mom_main.o mom_server.o prolog.o requests.o start_exec.o tmsock_recov.o req_quejob.o job_func.o attr_recov.o dis_read.o job_attr_def.o job_recov.o process_request.o reply_send.o resc_def_all.o job_qs_upgrade.o solaris7/libmommach.a ../lib/Libattr/libattr.a ../lib/Libsite/libsite.a ../lib/Libpbs/.libs/libtorque.so -lsocket -lnsl -R/usr/local/lib
Undefined first referenced
symbol in file
hstrerror ../lib/Libpbs/.libs/libtorque.so
ld: fatal: Symbol referencing errors. No output written to .libs/pbs_mom
collect2: ld returned 1 exit status
*** Error code 1
make: Fatal error: Command failed for target `pbs_mom'
Current working directory /opt/gridware/adaptivecomputing/torque-2.3.7/src/resmom
*** Error code 1
The following command caused the error:
failcom='exit 1'; \
for f in x $MAKEFLAGS; do \
case $f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo all-recursive | sed s/-recursive//`; \
list='solaris7'; for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `all-recursive'
Current working directory /opt/gridware/adaptivecomputing/torque-2.3.7/src/resmom
*** Error code 1
The following command caused the error:
failcom='exit 1'; \
for f in x $MAKEFLAGS; do \
case $f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo all-recursive | sed s/-recursive//`; \
list='include lib resmom momctl iff cmds tools momctl '; for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `all-recursive'
Current working directory /opt/gridware/adaptivecomputing/torque-2.3.7/src
gmake: *** [all-recursive] Error 1
config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by torque configure 2.3.7, which was
generated by GNU Autoconf 2.59. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = login02
uname -m = x86_64
uname -r = 2.6.16.60-0.39.3-smp
uname -s = Linux
uname -v = #1 SMP Wed May 27 23:32:56 UTC 2009
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /opt/gridware/sge/bin/lx24-amd64
PATH: /sbin
PATH: /usr/sbin
PATH: /usr/local/sbin
PATH: /opt/gnome/sbin
PATH: /root/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin
PATH: /opt/SUNWhpc/HPC8.2/gnu/bin
PATH: /usr/lib/mit/bin
PATH: /usr/lib/mit/sbin
PATH: .
PATH: /opt/gridware/sge/bin/lx24-amd64
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1721: checking build system type
configure:1739: result: x86_64-unknown-linux-gnu
configure:1747: checking host system type
configure:1761: result: x86_64-unknown-linux-gnu
configure:1775: checking for make
configure:1791: found /usr/bin/make
configure:1801: result: make
configure:1832: checking for a BSD-compatible install
configure:1887: result: /usr/bin/install -c
configure:1898: checking whether build environment is sane
configure:1941: result: yes
configure:2006: checking for gawk
configure:2022: found /usr/bin/gawk
configure:2032: result: gawk
configure:2042: checking whether make sets $(MAKE)
configure:2062: result: yes
configure:2230: checking whether to enable maintainer-specific portions of Makefiles
configure:2239: result: no
configure:2269: checking PBS machine type
configure:2276: result: linux
configure:2305: checking whether to turn on the AUTORUN_JOBS flag
configure:2314: result: no
configure:2326: checking whether to turn on the RESOURCEMAXNOTDEFAULT flag
configure:2335: result: no
configure:2346: checking whether to turn on the QUICKCOMMIT flag
configure:2355: result: no
configure:2382: checking whether to turn on the NO_SIGCHLD flag
configure:2391: result: no
configure:2406: checking whether to include server and scheduler
configure:2415: result: yes
configure:2430: checking whether to include the mom daemon
configure:2439: result: yes
configure:2454: checking whether to include the clients
configure:2463: result: yes
configure:2477: checking whether to build DRMAA lib
configure:2486: result: no
configure:2548: checking for gcc
configure:2564: found /usr/bin/gcc
configure:2574: result: gcc
configure:2818: checking for C compiler version
configure:2821: gcc --version </dev/null >&5
gcc (GCC) 4.1.2 20070115 (SUSE Linux)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2824: $? = 0
configure:2826: gcc -v </dev/null >&5
Using built-in specs.
Target: x86_64-suse-linux
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 --libexecdir=/usr/lib64 --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.2 --enable-ssp --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --program-suffix= --enable-version-specific-runtime-libs --without-system-libunwind --with-cpu=generic --host=x86_64-suse-linux
Thread model: posix
gcc version 4.1.2 20070115 (SUSE Linux)
configure:2829: $? = 0
configure:2831: gcc -V </dev/null >&5
gcc: '-V' option must have argument
configure:2834: $? = 1
configure:2857: checking for C compiler default output file name
configure:2860: gcc conftest.c >&5
configure:2863: $? = 0
configure:2909: result: a.out
configure:2914: checking whether the C compiler works
configure:2920: ./a.out
configure:2923: $? = 0
configure:2940: result: yes
configure:2947: checking whether we are cross compiling
configure:2949: result: no
configure:2952: checking for suffix of executables
configure:2954: gcc -o conftest conftest.c >&5
configure:2957: $? = 0
configure:2982: result:
configure:2988: checking for suffix of object files
configure:3009: gcc -c conftest.c >&5
configure:3012: $? = 0
configure:3034: result: o
configure:3038: checking whether we are using the GNU C compiler
configure:3062: gcc -c conftest.c >&5
configure:3068: $? = 0
configure:3072: test -z
|| test ! -s conftest.err
configure:3075: $? = 0
configure:3078: test -s conftest.o
configure:3081: $? = 0
configure:3094: result: yes
configure:3100: checking whether gcc accepts -g
configure:3121: gcc -c -g conftest.c >&5
configure:3127: $? = 0
configure:3131: test -z
|| test ! -s conftest.err
configure:3134: $? = 0
configure:3137: test -s conftest.o
configure:3140: $? = 0
configure:3151: result: yes
configure:3168: checking for gcc option to accept ANSI C
configure:3238: gcc -c -g -O2 conftest.c >&5
configure:3244: $? = 0
configure:3248: test -z
|| test ! -s conftest.err
configure:3251: $? = 0
configure:3254: test -s conftest.o
configure:3257: $? = 0
configure:3275: result: none needed
configure:3293: gcc -c -g -O2 conftest.c >&5
conftest.c:2: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'me'
configure:3299: $? = 1
configure: failed program was:
| #ifndef __cplusplus
| choke me
| #endif
configure:3443: checking for style of include used by make
configure:3471: result: GNU
configure:3499: checking dependency style of gcc
configure:3589: result: gcc3
configure:3612: checking how to run the C preprocessor
configure:3647: gcc -E conftest.c
configure:3653: $? = 0
configure:3685: gcc -E conftest.c
conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
configure:3691: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3730: result: gcc -E
configure:3754: gcc -E conftest.c
configure:3760: $? = 0
configure:3792: gcc -E conftest.c
conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
configure:3798: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3842: checking for egrep
configure:3852: result: grep -E
configure:3858: checking whether gcc needs -traditional
configure:3900: result: no
configure:3913: checking for ar
configure:3929: found /usr/bin/ar
configure:3939: result: ar
configure:4023: checking for a sed that does not truncate output
configure:4077: result: /usr/bin/sed
configure:4091: checking for ld used by gcc
configure:4158: result: /usr/x86_64-suse-linux/bin/ld
configure:4167: checking if the linker (/usr/x86_64-suse-linux/bin/ld) is GNU ld
configure:4182: result: yes
configure:4187: checking for /usr/x86_64-suse-linux/bin/ld option to reload object files
configure:4194: result: -r
configure:4212: checking for BSD-compatible nm
configure:4261: result: /usr/bin/nm -B
configure:4265: checking whether ln -s works
configure:4269: result: yes
configure:4276: checking how to recognise dependent libraries
configure:4452: result: pass_all
configure:4539: gcc -c -g -O2 conftest.c >&5
configure:4542: $? = 0
configure:4683: checking for ANSI C header files
configure:4708: gcc -c -g -O2 conftest.c >&5
configure:4714: $? = 0
configure:4718: test -z
|| test ! -s conftest.err
configure:4721: $? = 0
configure:4724: test -s conftest.o
configure:4727: $? = 0
configure:4816: gcc -o conftest -g -O2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:30: warning: incompatible implicit declaration of built-in function 'exit'
configure:4819: $? = 0
configure:4821: ./conftest
configure:4824: $? = 0
configure:4839: result: yes
configure:4863: checking for sys/types.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for sys/stat.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for stdlib.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for string.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for memory.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for strings.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for inttypes.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for stdint.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4863: checking for unistd.h
configure:4879: gcc -c -g -O2 conftest.c >&5
configure:4885: $? = 0
configure:4889: test -z
|| test ! -s conftest.err
configure:4892: $? = 0
configure:4895: test -s conftest.o
configure:4898: $? = 0
configure:4909: result: yes
configure:4935: checking dlfcn.h usability
configure:4947: gcc -c -g -O2 conftest.c >&5
configure:4953: $? = 0
configure:4957: test -z
|| test ! -s conftest.err
configure:4960: $? = 0
configure:4963: test -s conftest.o
configure:4966: $? = 0
configure:4976: result: yes
configure:4980: checking dlfcn.h presence
configure:4990: gcc -E conftest.c
configure:4996: $? = 0
configure:5016: result: yes
configure:5051: checking for dlfcn.h
configure:5058: result: yes
configure:5123: checking for g++
configure:5139: found /usr/bin/g++
configure:5149: result: g++
configure:5165: checking for C++ compiler version
configure:5168: g++ --version </dev/null >&5
g++ (GCC) 4.1.2 20070115 (SUSE Linux)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:5171: $? = 0
configure:5173: g++ -v </dev/null >&5
Using built-in specs.
Target: x86_64-suse-linux
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 --libexecdir=/usr/lib64 --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.2 --enable-ssp --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --program-suffix= --enable-version-specific-runtime-libs --without-system-libunwind --with-cpu=generic --host=x86_64-suse-linux
Thread model: posix
gcc version 4.1.2 20070115 (SUSE Linux)
configure:5176: $? = 0
configure:5178: g++ -V </dev/null >&5
g++: '-V' option must have argument
configure:5181: $? = 1
configure:5184: checking whether we are using the GNU C++ compiler
configure:5208: g++ -c conftest.cc >&5
configure:5214: $? = 0
configure:5218: test -z
|| test ! -s conftest.err
configure:5221: $? = 0
configure:5224: test -s conftest.o
configure:5227: $? = 0
configure:5240: result: yes
configure:5246: checking whether g++ accepts -g
configure:5267: g++ -c -g conftest.cc >&5
configure:5273: $? = 0
configure:5277: test -z
|| test ! -s conftest.err
configure:5280: $? = 0
configure:5283: test -s conftest.o
configure:5286: $? = 0
configure:5297: result: yes
configure:5339: g++ -c -g -O2 conftest.cc >&5
configure:5345: $? = 0
configure:5349: test -z
|| test ! -s conftest.err
configure:5352: $? = 0
configure:5355: test -s conftest.o
configure:5358: $? = 0
configure:5384: g++ -c -g -O2 conftest.cc >&5
conftest.cc: In function 'int main()':
conftest.cc:28: error: 'exit' was not declared in this scope
configure:5390: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
|
| int
| main ()
| {
| exit (42);
| ;
| return 0;
| }
configure:5339: g++ -c -g -O2 conftest.cc >&5
configure:5345: $? = 0
configure:5349: test -z
|| test ! -s conftest.err
configure:5352: $? = 0
configure:5355: test -s conftest.o
configure:5358: $? = 0
configure:5384: g++ -c -g -O2 conftest.cc >&5
configure:5390: $? = 0
configure:5394: test -z
|| test ! -s conftest.err
configure:5397: $? = 0
configure:5400: test -s conftest.o
configure:5403: $? = 0
configure:5428: checking dependency style of g++
configure:5518: result: gcc3
configure:5545: checking how to run the C++ preprocessor
configure:5576: g++ -E conftest.cc
configure:5582: $? = 0
configure:5614: g++ -E conftest.cc
conftest.cc:27:28: error: ac_nonexistent.h: No such file or directory
configure:5620: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:5659: result: g++ -E
configure:5683: g++ -E conftest.cc
configure:5689: $? = 0
configure:5721: g++ -E conftest.cc
conftest.cc:27:28: error: ac_nonexistent.h: No such file or directory
configure:5727: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:5824: checking for g77
configure:5853: result: no
configure:5824: checking for f77
configure:5853: result: no
configure:5824: checking for xlf
configure:5853: result: no
configure:5824: checking for frt
configure:5853: result: no
configure:5824: checking for pgf77
configure:5853: result: no
configure:5824: checking for fort77
configure:5853: result: no
configure:5824: checking for fl32
configure:5853: result: no
configure:5824: checking for af77
configure:5853: result: no
configure:5824: checking for f90
configure:5853: result: no
configure:5824: checking for xlf90
configure:5853: result: no
configure:5824: checking for pgf90
configure:5853: result: no
configure:5824: checking for epcf90
configure:5853: result: no
configure:5824: checking for f95
configure:5853: result: no
configure:5824: checking for fort
configure:5853: result: no
configure:5824: checking for xlf95
configure:5853: result: no
configure:5824: checking for ifc
configure:5853: result: no
configure:5824: checking for efc
configure:5853: result: no
configure:5824: checking for pgf95
configure:5853: result: no
configure:5824: checking for lf95
configure:5853: result: no
configure:5824: checking for gfortran
configure:5840: found /usr/bin/gfortran
configure:5850: result: gfortran
configure:5865: checking for Fortran 77 compiler version
configure:5868: gfortran --version </dev/null >&5
GNU Fortran 95 (GCC) 4.1.2 20070115 (SUSE Linux)
Copyright (C) 2006 Free Software Foundation, Inc.
GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
configure:5871: $? = 0
configure:5873: gfortran -v </dev/null >&5
Using built-in specs.
Target: x86_64-suse-linux
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 --libexecdir=/usr/lib64 --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.2 --enable-ssp --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --program-suffix= --enable-version-specific-runtime-libs --without-system-libunwind --with-cpu=generic --host=x86_64-suse-linux
Thread model: posix
gcc version 4.1.2 20070115 (SUSE Linux)
configure:5876: $? = 0
configure:5878: gfortran -V </dev/null >&5
gfortran: '-V' option must have argument
configure:5881: $? = 1
configure:5889: checking whether we are using the GNU Fortran 77 compiler
configure:5903: gfortran -c conftest.F >&5
configure:5909: $? = 0
configure:5913: test -z
|| test ! -s conftest.err
configure:5916: $? = 0
configure:5919: test -s conftest.o
configure:5922: $? = 0
configure:5935: result: yes
configure:5941: checking whether gfortran accepts -g
configure:5953: gfortran -c -g conftest.f >&5
configure:5959: $? = 0
configure:5963: test -z
|| test ! -s conftest.err
configure:5966: $? = 0
configure:5969: test -s conftest.o
configure:5972: $? = 0
configure:5984: result: yes
configure:6014: checking the maximum length of command line arguments
configure:6123: result: 32768
configure:6134: checking command to parse /usr/bin/nm -B output from gcc object
configure:6239: gcc -c -g -O2 conftest.c >&5
configure:6242: $? = 0
configure:6246: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' \> conftest.nm
configure:6249: $? = 0
configure:6301: gcc -o conftest -g -O2 conftest.c conftstm.o >&5
configure:6304: $? = 0
configure:6342: result: ok
configure:6346: checking for objdir
configure:6361: result: .libs
configure:6531: checking for ranlib
configure:6547: found /usr/bin/ranlib
configure:6558: result: ranlib
configure:6611: checking for strip
configure:6627: found /usr/bin/strip
configure:6638: result: strip
configure:6910: checking if gcc supports -fno-rtti -fno-exceptions
configure:6928: gcc -c -g -O2 -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:6932: $? = 0
configure:6945: result: no
configure:6960: checking for gcc option to produce PIC
configure:7170: result: -fPIC
configure:7178: checking if gcc PIC flag -fPIC works
configure:7196: gcc -c -g -O2 -fPIC -DPIC conftest.c >&5
configure:7200: $? = 0
configure:7213: result: yes
configure:7241: checking if gcc static flag -static works
configure:7269: result: yes
configure:7279: checking if gcc supports -c -o file.o
configure:7300: gcc -c -g -O2 -o out/conftest2.o conftest.c >&5
configure:7304: $? = 0
configure:7326: result: yes
configure:7352: checking whether the gcc linker (/usr/x86_64-suse-linux/bin/ld -m elf_x86_64) supports shared libraries
configure:8310: result: yes
configure:8331: checking whether -lc should be explicitly linked in
configure:8336: gcc -c -g -O2 conftest.c >&5
configure:8339: $? = 0
configure:8354: gcc -shared conftest.o -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| grep -lc \>/dev/null 2\>\&1
configure:8357: $? = 0
configure:8369: result: no
configure:8377: checking dynamic linker characteristics
configure:8770: gcc -c -g -O2 conftest.c >&5
configure:8773: $? = 0
configure:8986: result: GNU/Linux ld.so
configure:8995: checking how to hardcode library paths into programs
configure:9020: result: immediate
configure:9034: checking whether stripping libraries is possible
configure:9039: result: yes
configure:9873: checking if libtool supports shared libraries
configure:9875: result: yes
configure:9878: checking whether to build shared libraries
configure:9899: result: yes
configure:9902: checking whether to build static libraries
configure:9906: result: yes
configure:9998: creating libtool
configure:10586: checking for ld used by g++
configure:10653: result: /usr/x86_64-suse-linux/bin/ld -m elf_x86_64
configure:10662: checking if the linker (/usr/x86_64-suse-linux/bin/ld -m elf_x86_64) is GNU ld
configure:10677: result: yes
configure:10728: checking whether the g++ linker (/usr/x86_64-suse-linux/bin/ld -m elf_x86_64) supports shared libraries
configure:11666: result: yes
configure:11684: g++ -c -g -O2 conftest.cpp >&5
configure:11687: $? = 0
configure:11806: checking for g++ option to produce PIC
configure:12080: result: -fPIC
configure:12088: checking if g++ PIC flag -fPIC works
configure:12106: g++ -c -g -O2 -fPIC -DPIC conftest.cpp >&5
configure:12110: $? = 0
configure:12123: result: yes
configure:12151: checking if g++ static flag -static works
configure:12179: result: yes
configure:12189: checking if g++ supports -c -o file.o
configure:12210: g++ -c -g -O2 -o out/conftest2.o conftest.cpp >&5
configure:12214: $? = 0
configure:12236: result: yes
configure:12262: checking whether the g++ linker (/usr/x86_64-suse-linux/bin/ld -m elf_x86_64) supports shared libraries
configure:12287: result: yes
configure:12354: checking dynamic linker characteristics
configure:12747: g++ -c -g -O2 conftest.cpp >&5
configure:12750: $? = 0
configure:12963: result: GNU/Linux ld.so
configure:12972: checking how to hardcode library paths into programs
configure:12997: result: immediate
configure:13523: checking if libtool supports shared libraries
configure:13525: result: yes
configure:13528: checking whether to build shared libraries
configure:13548: result: yes
configure:13551: checking whether to build static libraries
configure:13555: result: yes
configure:13565: checking for gfortran option to produce PIC
configure:13775: result: -fPIC
configure:13783: checking if gfortran PIC flag -fPIC works
configure:13801: gfortran -c -g -O2 -fPIC conftest.f >&5
configure:13805: $? = 0
configure:13818: result: yes
configure:13846: checking if gfortran static flag -static works
configure:13874: result: yes
configure:13884: checking if gfortran supports -c -o file.o
configure:13905: gfortran -c -g -O2 -o out/conftest2.o conftest.f >&5
configure:13909: $? = 0
configure:13931: result: yes
configure:13957: checking whether the gfortran linker (/usr/x86_64-suse-linux/bin/ld -m elf_x86_64) supports shared libraries
configure:14895: result: yes
configure:14962: checking dynamic linker characteristics
configure:15355: gfortran -c -g -O2 conftest.f >&5
Warning: conftest.f:1: Illegal preprocessor directive
configure:15358: $? = 0
configure:15571: result: GNU/Linux ld.so
configure:15580: checking how to hardcode library paths into programs
configure:15605: result: immediate
configure:19199: checking whether ln -s works
configure:19203: result: yes
configure:19216: checking for flex
configure:19232: found /usr/bin/flex
configure:19242: result: flex
configure:19255: checking for yywrap in -lfl
configure:19285: gcc -o conftest -g -O2 conftest.c -lfl >&5
configure:19291: $? = 0
configure:19295: test -z
|| test ! -s conftest.err
configure:19298: $? = 0
configure:19301: test -s conftest
configure:19304: $? = 0
configure:19317: result: yes
configure:19395: checking lex output file root
configure:19406: flex conftest.l
configure:19409: $? = 0
configure:19421: result: lex.yy
configure:19426: checking whether yytext is a pointer
configure:19442: gcc -o conftest -g -O2 conftest.c -lfl >&5
configure:19448: $? = 0
configure:19452: test -z
|| test ! -s conftest.err
configure:19455: $? = 0
configure:19458: test -s conftest
configure:19461: $? = 0
configure:19475: result: yes
configure:19493: checking for bison
configure:19509: found /usr/bin/bison
configure:19519: result: bison -y
configure:19536: checking for gtbl
configure:19552: found /usr/bin/gtbl
configure:19562: result: gtbl
configure:19577: checking for gpic
configure:19606: result: no
configure:19577: checking for pic
configure:19593: found /usr/bin/pic
configure:19603: result: pic
configure:19618: checking for groff
configure:19634: found /usr/bin/groff
configure:19644: result: groff
configure:19659: checking whether to turn on the compilation of DEBUG code
configure:19668: result: no
configure:19679: checking whether to compile with debugging symbols
configure:19689: result: DEBUG_SYMBOLS=no
configure:19714: checking for stat64
configure:19771: gcc -o conftest -g -O2 conftest.c >&5
configure:19777: $? = 0
configure:19781: test -z
|| test ! -s conftest.err
configure:19784: $? = 0
configure:19787: test -s conftest
configure:19790: $? = 0
configure:19802: result: yes
configure:19916: checking for open64
configure:19973: gcc -o conftest -g -O2 conftest.c >&5
configure:19979: $? = 0
configure:19983: test -z
|| test ! -s conftest.err
configure:19986: $? = 0
configure:19989: test -s conftest
configure:19992: $? = 0
configure:20004: result: yes
configure:20015: checking for lseek64
configure:20072: gcc -o conftest -g -O2 conftest.c >&5
configure:20078: $? = 0
configure:20082: test -z
|| test ! -s conftest.err
configure:20085: $? = 0
configure:20088: test -s conftest
configure:20091: $? = 0
configure:20103: result: yes
configure:20114: checking for struct stat64.st_mode
configure:20140: gcc -c -g -O2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:38: error: storage size of 'ac_aggr' isn't known
configure:20146: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| /* end confdefs.h. */
| #include <sys/types.h>
| #include <sys/stat.h>
| #include <unistd.h>
|
| int
| main ()
| {
| static struct stat64 ac_aggr;
| if (ac_aggr.st_mode)
| return 0;
| ;
| return 0;
| }
configure:20187: gcc -c -g -O2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:38: error: storage size of 'ac_aggr' isn't known
configure:20193: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| /* end confdefs.h. */
| #include <sys/types.h>
| #include <sys/stat.h>
| #include <unistd.h>
|
| int
| main ()
| {
| static struct stat64 ac_aggr;
| if (sizeof ac_aggr.st_mode)
| return 0;
| ;
| return 0;
| }
configure:20219: result: no
configure:20230: checking for struct stat64.st_mode
configure:20256: gcc -c -g -O2 -D_LARGEFILE64_SOURCE conftest.c >&5
configure:20262: $? = 0
configure:20266: test -z
|| test ! -s conftest.err
configure:20269: $? = 0
configure:20272: test -s conftest.o
configure:20275: $? = 0
configure:20335: result: yes
configure:20357: checking whether to use strict gcc warnings
configure:20367: result: yes
configure:20369: checking CFLAGS for gcc -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror
configure:20402: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -pedantic -Werror -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:20408: $? = 0
configure:20412: test -z
|| test ! -s conftest.err
configure:20415: $? = 0
configure:20418: test -s conftest.o
configure:20421: $? = 0
configure:20440: result: -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror
configure:20452: : CFLAGS="$CFLAGS $ac_cv_cflags_gcc_option__W__Wall__Wno_unused_parameter__Wno_long_long__pedantic__Werror"
configure:20455: $? = 0
configure:20467: checking whether to force XOPEN networking stack
configure:20556: result: no... phew!
configure:20574: checking for dirent.h that defines DIR
configure:20598: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:20604: $? = 0
configure:20608: test -z
|| test ! -s conftest.err
configure:20611: $? = 0
configure:20614: test -s conftest.o
configure:20617: $? = 0
configure:20628: result: yes
configure:20641: checking for library containing opendir
configure:20671: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:20677: $? = 0
configure:20681: test -z
|| test ! -s conftest.err
configure:20684: $? = 0
configure:20687: test -s conftest
configure:20690: $? = 0
configure:20760: result: none required
configure:20896: checking for ANSI C header files
configure:21052: result: yes
configure:21062: checking for sys/wait.h that is POSIX.1 compatible
configure:21093: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21099: $? = 0
configure:21103: test -z
|| test ! -s conftest.err
configure:21106: $? = 0
configure:21109: test -s conftest.o
configure:21112: $? = 0
configure:21123: result: yes
configure:21180: checking arpa/inet.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking arpa/inet.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for arpa/inet.h
configure:21303: result: yes
configure:21180: checking fcntl.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking fcntl.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for fcntl.h
configure:21303: result: yes
configure:21180: checking float.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking float.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for float.h
configure:21303: result: yes
configure:21180: checking limits.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking limits.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for limits.h
configure:21303: result: yes
configure:21180: checking malloc.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking malloc.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for malloc.h
configure:21303: result: yes
configure:21180: checking netdb.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking netdb.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for netdb.h
configure:21303: result: yes
configure:21180: checking netinet/in.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking netinet/in.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for netinet/in.h
configure:21303: result: yes
configure:21180: checking stddef.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking stddef.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for stddef.h
configure:21303: result: yes
configure:21180: checking sys/file.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/file.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/file.h
configure:21303: result: yes
configure:21180: checking sys/param.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/param.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/param.h
configure:21303: result: yes
configure:21180: checking sys/tty.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:79:21: error: sys/tty.h: No such file or directory
configure:21198: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sys/tty.h>
configure:21221: result: no
configure:21225: checking sys/tty.h presence
configure:21235: gcc -E conftest.c
conftest.c:45:21: error: sys/tty.h: No such file or directory
configure:21241: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| /* end confdefs.h. */
| #include <sys/tty.h>
configure:21261: result: no
configure:21296: checking for sys/tty.h
configure:21303: result: no
configure:21180: checking sys/socket.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/socket.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/socket.h
configure:21303: result: yes
configure:21180: checking sys/time.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/time.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/time.h
configure:21303: result: yes
configure:21180: checking sys/ioctl.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/ioctl.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/ioctl.h
configure:21303: result: yes
configure:21180: checking sys/mount.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/mount.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/mount.h
configure:21303: result: yes
configure:21180: checking sys/vfs.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/vfs.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/vfs.h
configure:21303: result: yes
configure:21180: checking sys/statfs.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/statfs.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/statfs.h
configure:21303: result: yes
configure:21180: checking sys/statvfs.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/statvfs.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/statvfs.h
configure:21303: result: yes
configure:21180: checking sys/ucred.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:86:23: error: sys/ucred.h: No such file or directory
configure:21198: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sys/ucred.h>
configure:21221: result: no
configure:21225: checking sys/ucred.h presence
configure:21235: gcc -E conftest.c
conftest.c:52:23: error: sys/ucred.h: No such file or directory
configure:21241: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| /* end confdefs.h. */
| #include <sys/ucred.h>
configure:21261: result: no
configure:21296: checking for sys/ucred.h
configure:21303: result: no
configure:21180: checking sys/un.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/un.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/un.h
configure:21303: result: yes
configure:21180: checking sys/uio.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/uio.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/uio.h
configure:21303: result: yes
configure:21180: checking syslog.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking syslog.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for syslog.h
configure:21303: result: yes
configure:21180: checking readline/readline.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:89:31: error: readline/readline.h: No such file or directory
configure:21198: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <readline/readline.h>
configure:21221: result: no
configure:21225: checking readline/readline.h presence
configure:21235: gcc -E conftest.c
conftest.c:55:31: error: readline/readline.h: No such file or directory
configure:21241: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| /* end confdefs.h. */
| #include <readline/readline.h>
configure:21261: result: no
configure:21296: checking for readline/readline.h
configure:21303: result: no
configure:21180: checking termios.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking termios.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for termios.h
configure:21303: result: yes
configure:21180: checking err.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking err.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for err.h
configure:21303: result: yes
configure:21180: checking sys/poll.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:21198: $? = 0
configure:21202: test -z
|| test ! -s conftest.err
configure:21205: $? = 0
configure:21208: test -s conftest.o
configure:21211: $? = 0
configure:21221: result: yes
configure:21225: checking sys/poll.h presence
configure:21235: gcc -E conftest.c
configure:21241: $? = 0
configure:21261: result: yes
configure:21296: checking for sys/poll.h
configure:21303: result: yes
configure:21180: checking pam/pam_modules.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:92:29: error: pam/pam_modules.h: No such file or directory
configure:21198: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <pam/pam_modules.h>
configure:21221: result: no
configure:21225: checking pam/pam_modules.h presence
configure:21235: gcc -E conftest.c
conftest.c:58:29: error: pam/pam_modules.h: No such file or directory
configure:21241: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| /* end confdefs.h. */
| #include <pam/pam_modules.h>
configure:21261: result: no
configure:21296: checking for pam/pam_modules.h
configure:21303: result: no
configure:21180: checking security/pam_appl.h usability
configure:21192: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:92:31: error: security/pam_appl.h: No such file or directory
configure:21198: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <security/pam_appl.h>
configure:21221: result: no
configure:21225: checking security/pam_appl.h presence
configure:21235: gcc -E conftest.c
conftest.c:58:31: error: security/pam_appl.h: No such file or directory
configure:21241: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| /* end confdefs.h. */
| #include <security/pam_appl.h>
configure:21261: result: no
configure:21296: checking for security/pam_appl.h
configure:21303: result: no
configure:21322: checking for security/pam_modules.h
configure:21341: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
conftest.c:63:34: error: security/pam_modules.h: No such file or directory
cc1: warnings being treated as errors
conftest.c:1: warning: ISO C forbids an empty source file
configure:21347: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| /* end confdefs.h. */
| #if HAVE_SECURITY_PAM_APPL_H
| # include <security/pam_appl.h>
| # endif
|
|
| #include <security/pam_modules.h>
configure:21371: result: no
configure:21601: checking whether to build BLCR support
configure:21610: result: no
configure:21624: checking whether to add x attributes to accounting
configure:21633: result: no
configure:21647: checking whether to build Cray's CPA support
configure:21656: result: no
configure:21950: checking for openpty
configure:22007: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
/tmp/ccqFrvhy.o: In function `main':
/export/install-soft/torque-2.3.7/conftest.c:99: undefined reference to `openpty'
/tmp/ccqFrvhy.o:(.data+0x0): undefined reference to `openpty'
collect2: ld returned 1 exit status
configure:22013: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| #define SRFS 0
| #define IBM_SP2 0
| /* end confdefs.h. */
| /* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define openpty innocuous_openpty
|
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char openpty (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef openpty
|
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char openpty ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub_openpty) || defined (__stub___openpty)
| choke me
| #else
| char (*f) () = openpty;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != openpty;
| ;
| return 0;
| }
configure:22038: result: no
configure:22043: checking for openpty in -lutil
configure:22073: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c -lutil >&5
configure:22079: $? = 0
configure:22083: test -z
|| test ! -s conftest.err
configure:22086: $? = 0
configure:22089: test -s conftest
configure:22092: $? = 0
configure:22105: result: yes
configure:22730: Checking global settings...
configure:22988: checking for CMSG_SPACE
configure:23018: gcc -c -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:23024: $? = 0
configure:23028: test -z
|| test ! -s conftest.err
configure:23031: $? = 0
configure:23034: test -s conftest.o
configure:23037: $? = 0
configure:23046: result: yes
configure:23049: checking if enabling Unix Domain socket supprt
configure:23069: result: yes
configure:23246: checking for scp
configure:23264: found /usr/bin/scp
configure:23277: result: /usr/bin/scp
configure:23350: remote file copy program... /usr/bin/scp -rpB
configure:23381: checking for sendmail
configure:23399: found /usr/lib/sendmail
configure:23411: result: /usr/lib/sendmail
configure:23436: checking for PAM install directory
configure:23460: result: disabled
configure:23496: checking for xauth
configure:23514: found /usr/X11R6/bin/xauth
configure:23526: result: /usr/X11R6/bin/xauth
configure:23573: checking whether to install modulefiles
configure:23608: result: no
configure:23613: checking for xdr_int
configure:23670: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:23676: $? = 0
configure:23680: test -z
|| test ! -s conftest.err
configure:23683: $? = 0
configure:23686: test -s conftest
configure:23689: $? = 0
configure:23701: result: yes
configure:23782: checking for ruserok
configure:23839: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c >&5
configure:23845: $? = 0
configure:23849: test -z
|| test ! -s conftest.err
configure:23852: $? = 0
configure:23855: test -s conftest
configure:23858: $? = 0
configure:23870: result: yes
configure:23954: checking for initscr in -lncurses
configure:23984: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c -lncurses >&5
configure:23990: $? = 0
configure:23994: test -z
|| test ! -s conftest.err
configure:23997: $? = 0
configure:24000: test -s conftest
configure:24003: $? = 0
configure:24016: result: yes
configure:24022: checking for rl_callback_handler_install in -lreadline
configure:24052: gcc -o conftest -g -O2 -D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror conftest.c -lreadline -lncurses >&5
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lreadline
collect2: ld returned 1 exit status
configure:24058: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "torque"
| #define PACKAGE_TARNAME "torque"
| #define PACKAGE_VERSION "2.3.7"
| #define PACKAGE_STRING "torque 2.3.7"
| #define PACKAGE_BUGREPORT "torqueusers at supercluster.org"
| #define PACKAGE "torque"
| #define VERSION "2.3.7"
| #define PBS_MACH "linux"
| #define MACH_RESC_DEFS "resc_def_linux.c"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define YYTEXT_POINTER 1
| #define HAVE_STAT64 1
| #define HAVE_OPEN64 1
| #define HAVE_LSEEK64 1
| #define HAVE_STRUCT_STAT64 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_FLOAT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_SYS_FILE_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_MOUNT_H 1
| #define HAVE_SYS_VFS_H 1
| #define HAVE_SYS_STATFS_H 1
| #define HAVE_SYS_STATVFS_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_UIO_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_ERR_H 1
| #define HAVE_SYS_POLL_H 1
| #define SRFS 0
| #define IBM_SP2 0
| #define MOM_CHECKPOINT 0
| #define SCHD_TYPE "cc"
| #define RPP 1
| #define TDISABLEFILESYNC 1
| #define PLOCK_DAEMONS 0
| #define SYSLOG 1
| #define SHELL_INVOKE 1
| #define NO_SPOOL_OUTPUT 0
| #define SHELL_USE_ARGV 0
| #define MOMCHECKLOCALSPOOL 1
| #define TMP_DIR "/tmp"
| #define MOM_FORCENODEFILE 0
| #define ENABLE_UNIX_SOCKETS 1
| #define PBS_DEFAULT_SERVER "login02"
| #define QSTATRC_PATH "/var/spool/torque/qstatrc"
| #define SENDMAIL_CMD "/usr/lib/sendmail"
| #define XAUTH_PATH "/usr/X11R6/bin/xauth"
| /* end confdefs.h. */
|
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char rl_callback_handler_install ();
| int
| main ()
| {
| rl_callback_handler_install ();
| ;
| return 0;
| }
configure:24084: result: no
configure:24105: WARNING: readline support is disabled
configure:24112: checking for h_errno declaration in netdb.h
configure:24138: gcc -c -g -O2 -D_LARGEFILE64_SOURCE
--
Chris Vaughan | Technical Consultant - EMEA
Adaptive Computing | Mobile: +44 7800 973062 | Office: +44 1483 243578
3000 Cathedral Hill | Guildford GU2 7YB | United Kingdom
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.supercluster.org/pipermail/torqueusers/attachments/20100119/91a08087/attachment-0001.html
More information about the torqueusers
mailing list